/*
 * $Id: errno.h 347264 2009-11-19 13:44:32Z kdickman $
 *
 * errno.h -- shim header for g++ support
 *
 * Stu Grossman, March 2007
 *
 * Copyright (c) 2007, Juniper Networks, Inc.
 * All rights reserved.
 */

/*
 * libstdc++ really really wants an errno, and it can't be an enum.  This needs
 * to be fixed because it is not thread or interrupt safe, but it will do for
 * now...
 */

#ifndef __LIBSTDCXX_EMBEDDED_ERRNO_H__
#define __LIBSTDCXX_EMBEDDED_ERRNO_H__

#ifdef __cplusplus
extern "C" {
#endif

extern int errno;

#define	EINTR 1
#define	ERANGE 2

#ifdef __cplusplus
}
#endif

#endif /* __LIBSTDCXX_EMBEDDED_ERRNO_H__ */
