/*
 * $Id: time.h 565570 2013-02-08 23:23:49Z ib-builder $
 *
 * time.h wrapper for C++
 *
 * Stu Grossman, June 2007
 *
 * Copyright (c) 2007-2008, Juniper Networks, Inc.
 * All rights reserved.
 */

/*
 * This wrapper provides a way for libstdc++ (and possibly other 3rd party
 * code) to avoid the problems in pfe/include/time.h.  pfe/include/time.h is a
 * ukern-specific file which doesn't provide the standard Posix time APIs.
 */

#ifndef __LIBSTDCXX_JUNOS_TIME_H__
#define __LIBSTDCXX_JUNOS_TIME_H__

#ifdef __cplusplus
extern "C" {
#endif

/*
 * Grab src/bsd/include/time.h
 */
#include "../../../../../bsd/include/time.h"

#ifdef __cplusplus
}
#endif

#endif /* __LIBSTDCXX_JUNOS_TIME_H__ */
